#define CMPS03_DDR              DDRE
#define CMPS03_PORT             PORTE
#define CMPS03_PIN              PINE

#define CMPS03_NPIN             4  // PORTE4

#ifdef SOURCE_tools
/**
* Millisekunden vom Einschalten/Reset
*/
volatile long uptime;
volatile long degrees;
volatile long usekStart;
#else
extern volatile long uptime;
extern volatile long degrees;
extern volatile long usekStart;
#endif

inline void _delayFourCycles(unsigned int __count);

/**
* Initialisiert den Timer
*/
void doInitTimer(void);

void initTimer3(void);

/**
* Gibt den Uptime (Millisekunden seit dem letzten Einschalten/Reset)
* zurck
*
* @return long   Die Millisekunden seit dem letzten Einschalten/Reset
*/
#define getUptime()   uptime

#define getSek()   sek

/**
* Warte x Mikrosekunden
*
* @param uint8_t x   Die Mikrosekunden zu warten
*/
#define delayUS(__us)         _delayFourCycles( ( ( 1 * (XTAL / 4000) ) * __us) / 1000 )

/**
* Warte x Millisekunden
*
* @param uint8_t x   Die Millisekunden zu warten
*/
void delayMS(unsigned int ms);

/**
* Warte x Sekunden
*
* @param uint8_t x   Die Sekunden zu warten
*/
#define delayS(__s)           { int __ls; for(__ls = 0; __ls < __s; __ls++) delayMS(1000); }

/**
* Rundet die angegebene Zahl
*
* @param uint8_t x   Die zu rundenden Zahl
*/
double round(double x);

/**
* Sendet ein Byte an die angegebenen I2C-Device
*
* @param  uint8_t addr   Die I2C-Device
* @param  uint8_t i      Die Information (Byte) zu schicken
* @return boolean        TRUE wenn alles in Ordnung, FALSE falls Probleme
*/
boolean writeI2C(uint8_t addr, uint8_t i);
