#include <stdlib.h>
#include <string.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include "inc/constants.h"
#include "inc/i2cmaster.h"
#include "inc/tools.h"
#include "inc/leds.h"

uint8_t ledState;

/**
* Schalte ein LED ein
*
* @param uint8_t led    das LED einzuschalten (siehe Konstanten)
*/
void turnOnLED(uint8_t led)
{
  ledState |= led;
  writeI2C(LEDI2C, ledState);
}

/**
* Schalte ein LED aus
*
* @param uint8_t led    das LED auszuschalten (siehe Konstanten)
*/
void turnOffLED(uint8_t led)
{
  ledState &= ~led;
  writeI2C(LEDI2C, ledState);
}

/**
* Schalte die Status-LED nach dem eingegebenen Muster
*
* @param uint8_t led    der Muster
*/
void doStatusLED(uint8_t led)
{
  writeI2C(STATUSLEDI2C, ~led);
}
