#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <string.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#ifndef SIGNAL
#include <avr/signal.h>
#endif // SIGNAL
#include <avr/iom128.h>
#include "inc/constants.h"
#include "inc/comm.h"
#include "inc/tools.h"
#include "inc/leds.h"
#include "inc/uart.h"
#include "inc/i2cmaster.h"

int main (void)
{
  i2c_init();
  doInitTimer();
  doInitCommunication();
  sei();

  for(;;)
  {
    if((getUptime() % 1000) == 0)
      doStatusLED(HEARTBEATLED);
    if(((getUptime() - 300) % 1000) == 0)
      doStatusLED(0);

    doLoopJobsComm();
  }
} 
